### GET /v1/product-cards Source: https://api-doc.wallester.com/v1/doc/swagger.json Get list of cards ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **order_field** (string, query, optional): OrderField is **repeated** query parameter to specify cards order by. - **card_types** (string, query, optional): CardTypes is **repeated** query parameter to specify card types to return. - **card_groups** (string, query, optional): CardGroupsParameter is **repeated** query parameter to specify card group (combination of disposable types and card type) to return. - **order_direction** (string, query, optional): Direction to sort by: asc or desc - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) - **is_active** (string, query, optional): Return only active cards - **card_statuses** (string, query, optional): CardStatuses is **repeated** query parameter to specify card statuses to return. - **block_types** (string, query, optional): BlockTypes is **repeated** query parameter to specify card block types to return. - **account_ids** (string, query, optional): AccountIDs is **repeated** query parameter with card account IDs - **company_id** (string, query, optional): Filter by Company ID, cannot be used together with Person ID - **person_id** (string, query, optional): Filter by Person ID, cannot be used together with Company ID ### Responses #### 200 - GetCardsResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/product-cards?order_field=value&card_types=value&card_groups=value&order_direction=value&from_record=value&records_count=value&is_active=value&card_statuses=value&block_types=value&account_ids=value&company_id=value&person_id=value" ``` ``` -------------------------------- ### GET /v1/templates Source: https://api-doc.wallester.com/v1/doc/swagger.json Get list of templates ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **order_field** (string, query, optional): Field to sort by: message_type, delivery_type, language_code, body, subject, updated_at - **order_direction** (string, query, optional): Direction to sort by: asc or desc - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) ### Responses #### 200 - GetTemplatesResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/templates?order_field=value&order_direction=value&from_record=value&records_count=value" ``` ``` -------------------------------- ### GET /v1/card-top-up-fees Source: https://api-doc.wallester.com/v1/doc/swagger.json Get fee amount ```markdown ### Responses #### 201 - GetCardTopUpFeesResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/card-top-up-fees" ``` ``` -------------------------------- ### GET /v1/payments/authorizations Source: https://api-doc.wallester.com/v1/doc/swagger.json Get product authorizations ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **order_field** (string, query, optional): OrderField is **repeated** query parameter to specify authorization payments order by. - **order_direction** (string, query, optional): Direction to sort by: asc or desc - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) - **from_date** (string, query, optional): FromDate represents the beginning date and time of the requested data set. Format: YYYY-MM-DDThh:mm:ssZ - **to_date** (string, query, optional): ToDate represents the end date and time of the requested data set. Format: YYYY-MM-DDThh:mm:ssZ ### Responses #### 200 - GetAuthorizationsByProductIDResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/payments/authorizations?order_field=value&order_direction=value&from_record=value&records_count=value&from_date=value&to_date=value" ``` ``` -------------------------------- ### GET /v1/payment-documents/thumbnails Source: https://api-doc.wallester.com/v1/doc/swagger.json Get payment documents thumbnail ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **payment_id** (string, query, required): Payment ID - **payment_type** (string, query, required): Payment type - **company_id** (string, query, optional): Filter by Company ID, cannot be used together with Person ID - **person_id** (string, query, optional): Filter by Person ID, cannot be used together with Company ID ### Responses #### 200 - GetPaymentDocumentThumbnailsResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/payment-documents/thumbnails?payment_id=value&payment_type=value&company_id=value&person_id=value" ``` ``` -------------------------------- ### GET /v1/payments/transactions Source: https://api-doc.wallester.com/v1/doc/swagger.json Get product transactions ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **order_field** (string, query, optional): OrderField is **repeated** query parameter to specify transaction payments order by. - **order_direction** (string, query, optional): Direction to sort by: asc or desc - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) - **date_field** (string, query, optional): Field to get records by date: created_at, processed_at - **from_date** (string, query, optional): FromDate represents the beginning date and time of the requested data set. Format: YYYY-MM-DDThh:mm:ssZ - **to_date** (string, query, optional): ToDate represents the end date and time of the requested data set. Format: YYYY-MM-DDThh:mm:ssZ ### Responses #### 200 - GetTransactionsByProductIDResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/payments/transactions?order_field=value&order_direction=value&from_record=value&records_count=value&date_field=value&from_date=value&to_date=value" ``` ``` -------------------------------- ### GET /v1/extract-files Source: https://api-doc.wallester.com/v1/doc/swagger.json Get extract files directories list ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **from_record** (string, query, optional): FromRecord defines a beginning record number of requested data set (can be used with records_count parameter in pair) - **records_count** (string, query, optional): RecordsCount defines number of records of requested data set (can be used with from_record parameter in pair).
If not specified, default value 1000 is used. ### Responses #### 200 - ExtractFilesDirectoriesResponse Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/extract-files?from_record=value&records_count=value" ``` ``` -------------------------------- ### POST /host:port/v1/initiate-action-event Source: https://api-doc.wallester.com/v1/doc/swagger.json The **Initiate Action** event takes place once the method of 3DS authentication is identified. The outcome of the event is the cardholder seeing the screen with instructions on how to complete their authentication by interacting with a 3rd party application. Use **request_id** as a unique identifier to identify the particular authentication request in the [Validate](#operation/Validate) event. Expected response HTTP status code is **200 OK**, otherwise unavailable authentication status returned to the merchant. ```markdown ### Parameters - **Authorization** (string, header, required): Basic auth, in "Authorization: Basic BASE64_ENCODED_DATA" format - **Content-Type** (string, header, required): The type of the request body. - **X-Request-ID** (string, header, required): Unique ID for the request. Generated by Wallester. Equal for Request and Response - **request** (InitiateAction, body, optional) ### Responses #### 200 - initiateActionResponse Empty response body #### 401 - response Authentication has failed for this request. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/host:port/v1/initiate-action-event" ``` ``` -------------------------------- ### GET /v1/templates/{template_id} Source: https://api-doc.wallester.com/v1/doc/swagger.json Get template ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **template_id** (string, path, required): Template ID ### Responses #### 200 - GetTemplateResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/templates/{template_id}" ``` ``` -------------------------------- ### POST /v1/accounts Source: https://api-doc.wallester.com/v1/doc/swagger.json Create account ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **request** (CreateAccountRequest, body, required) ### Responses #### 201 - CreateAccountResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/accounts" ``` ``` -------------------------------- ### POST /v1/templates Source: https://api-doc.wallester.com/v1/doc/swagger.json Create template. Template must be unique. ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **request** (CreateTemplateRequest, body, required) ### Responses #### 201 - CreateTemplateResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/templates" ``` ``` -------------------------------- ### GET /v1/pending-orders Source: https://api-doc.wallester.com/v1/doc/swagger.json Get pending orders ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **order_field** (string, query, optional): Field to sort by: masked_card_number, created_at, status - **order_direction** (string, query, optional): Direction to sort by: asc or desc - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) ### Responses #### 200 - GetPendingOrdersResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/pending-orders?order_field=value&order_direction=value&from_record=value&records_count=value" ``` ``` -------------------------------- ### GET /v1/product-settings/account-allowed-currencies Source: https://api-doc.wallester.com/v1/doc/swagger.json Returns account allowed currencies for product ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format ### Responses #### 200 - GetAccountAllowedCurrenciesResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/product-settings/account-allowed-currencies" ``` ``` -------------------------------- ### GET /v1/product-settings/about-company Source: https://api-doc.wallester.com/v1/doc/swagger.json Returns information about company ```markdown ### Responses #### 200 - GetCompanyInfoByProductIDResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/product-settings/about-company" ``` ``` -------------------------------- ### GET /v1/payment-metadata Source: https://api-doc.wallester.com/v1/doc/swagger.json Get payment metadata ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **payment_id** (string, query, required): Payment ID - **payment_type** (string, query, required): Payment type - **company_id** (string, query, optional): Filter by Company ID, cannot be used together with Person ID - **person_id** (string, query, optional): Filter by Person ID, cannot be used together with Company ID ### Responses #### 200 - GetPaymentMetadataResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/payment-metadata?payment_id=value&payment_type=value&company_id=value&person_id=value" ``` ``` -------------------------------- ### POST /v1/companies/{company_id}/3ds-settings Source: https://api-doc.wallester.com/v1/doc/swagger.json Create company 3DS settings ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **company_id** (string, path, required): Company ID - **request** (CreateCardholder3DSSettingsRequest, body, required) ### Responses #### 201 - Company3DSSettingsResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/companies/{company_id}/3ds-settings" ``` ``` -------------------------------- ### GET /v1/fraud-cases Source: https://api-doc.wallester.com/v1/doc/swagger.json Get fraud cases ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) - **from_date** (string, query, optional): FromDate represents the beginning date and time of the requested data set. Format: YYYY-MM-DDThh:mm:ssZ - **to_date** (string, query, optional): ToDate represents the end date and time of the requested data set. Format: YYYY-MM-DDThh:mm:ssZ - **order_field** (string, query, optional): Field to sort by **repeated** (format or . (asc by default)) - **case_statuses** (string, query, optional): CaseStatuses is **repeated** query parameter to specify case statuses to return. - **risk_statuses** (string, query, optional): RiskStatuses is **repeated** query parameter to specify risk statuses to return. - **risk_zones** (string, query, optional): RiskZones is **repeated** query parameter to specify risk zones to return. - **from_risk_score** (string, query, optional): FromRiskScore defines a beginning risk score number of fraud case - **to_risk_score** (string, query, optional): ToRiskScore defines an end risk score number of fraud case - **card_owner_ids** (string, query, optional): Card owner IDs - **merchant_country_code** (string, query, optional): Merchant country code - **card_owner_country_code** (string, query, optional): Card owner country code - **assigned_to_name** (string, query, optional): Assigned to name parameter - **scoring** (string, query, optional): Scoring fields, repeated parameter - **minimum_scoring** (string, query, optional): Minimum scoring parameter - **triggered_rules** (string, query, optional): Triggered rules is **repeated** query parameter to specify triggered rules to return. ### Responses #### 200 - GetFraudCasesResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/fraud-cases?from_record=value&records_count=value&from_date=value&to_date=value&order_field=value&case_statuses=value&risk_statuses=value&risk_zones=value&from_risk_score=value&to_risk_score=value&card_owner_ids=value&merchant_country_code=value&card_owner_country_code=value&assigned_to_name=value&scoring=value&minimum_scoring=value&triggered_rules=value" ``` ``` -------------------------------- ### GET /v1/expiring-cards Source: https://api-doc.wallester.com/v1/doc/swagger.json Get expiring cards ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **order_field** (string, query, optional): Field to sort by: masked_card_number, expiry_date - **order_direction** (string, query, optional): Direction to sort by: asc or desc - **from_record** (string, query, required): FromRecord defines a beginning record number of requested data set (used with records_count parameter in pair) - **records_count** (string, query, required): RecordsCount defines number of records of requested data set (used with from_record parameter in pair) ### Responses #### 200 - GetExpiringCardsResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/expiring-cards?order_field=value&order_direction=value&from_record=value&records_count=value" ``` ``` -------------------------------- ### GET /v1/product-settings/product-fees Source: https://api-doc.wallester.com/v1/doc/swagger.json Returns product fees for your product. ```markdown ### Responses #### 200 - ProductFeesByProductIDResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/product-settings/product-fees" ``` ``` -------------------------------- ### GET /v1/transactions/{transaction_id} Source: https://api-doc.wallester.com/v1/doc/swagger.json Get transaction information ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **transaction_id** (string, path, required): Transaction ID - **company_id** (string, query, optional): Filter by Company ID, cannot be used together with Person ID - **person_id** (string, query, optional): Filter by Person ID, cannot be used together with Company ID ### Responses #### 200 - GetTransactionResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/transactions/{transaction_id}?company_id=value&person_id=value" ``` ``` -------------------------------- ### POST /v1/cards/{card_id}/push-provisioning/google-pay Source: https://api-doc.wallester.com/v1/doc/swagger.json Pushing card to wallet ```markdown ### Parameters - **card_id** (string, path, required): Card ID - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **request** (GooglePayPushProvisioningRequest, body, required) ### Responses #### 200 - GooglePayPushProvisioningResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/cards/{card_id}/push-provisioning/google-pay" ``` ``` -------------------------------- ### GET /v1/reserved-settlement-balance Source: https://api-doc.wallester.com/v1/doc/swagger.json Get reserved settlement balance ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format ### Responses #### 200 - GetReservedSettlementBalanceResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/reserved-settlement-balance" ``` ``` -------------------------------- ### GET /v1/product-settings/account-limits Source: https://api-doc.wallester.com/v1/doc/swagger.json Returns default & maximum account limits together with credit limit and program type set for your product. ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format ### Responses #### 200 - AccountLimitsByProductIDResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/product-settings/account-limits" ``` ``` -------------------------------- ### GET /v1/persons/{person_id} Source: https://api-doc.wallester.com/v1/doc/swagger.json Get person information ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **person_id** (string, path, required): Person ID ### Responses #### 200 - GetPersonResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/persons/{person_id}" ``` ``` -------------------------------- ### POST /v1/persons/{person_id}/3ds-settings Source: https://api-doc.wallester.com/v1/doc/swagger.json Create person 3DS settings ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **person_id** (string, path, required): Person ID - **request** (CreateCardholder3DSSettingsRequest, body, required) ### Responses #### 201 - Person3DSSettingsResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/persons/{person_id}/3ds-settings" ``` ``` -------------------------------- ### GET /v1/persons-by-external-id/{external_id} Source: https://api-doc.wallester.com/v1/doc/swagger.json Get person by externalID ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **external_id** (string, path, required): External ID ### Responses #### 200 - GetPersonByExternalIDResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/persons-by-external-id/{external_id}" ``` ``` -------------------------------- ### GET /v1/product-settings/mobile-application Source: https://api-doc.wallester.com/v1/doc/swagger.json Mobile application product settings ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format ### Responses #### 200 - GetMobileApplicationProductSettingsResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/product-settings/mobile-application" ``` ``` -------------------------------- ### GET /v1/payment-documents/{payment_document_id} Source: https://api-doc.wallester.com/v1/doc/swagger.json Get payment document ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **payment_document_id** (string, path, required): PaymentDocument ID - **company_id** (string, query, optional): Filter by Company ID, cannot be used together with Person ID - **person_id** (string, query, optional): Filter by Person ID, cannot be used together with Company ID ### Responses #### 200 - GetPaymentDocumentResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/payment-documents/{payment_document_id}?company_id=value&person_id=value" ``` ``` -------------------------------- ### POST /v1/test/authorizations Source: https://api-doc.wallester.com/v1/doc/swagger.json Create authorization ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **create_matching_transaction_and_perform_clearing** (string, query, optional): CreateMatchingTransactionAndPerformClearing defines whether to create matching transaction and perform clearing or not. - **authorization_message_type** (string, query, optional): AuthorizationMessageType is a query parameter to create an authorization with the specific message type. - **request** (CreateAuthorizationRequest, body, required) ### Responses #### 201 - CreateAuthorizationResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/test/authorizations?create_matching_transaction_and_perform_clearing=value&authorization_message_type=value" ``` ``` -------------------------------- ### POST /v1/test/transactions Source: https://api-doc.wallester.com/v1/doc/swagger.json Create transaction ```markdown ### Parameters - **X-Product-Code** (string, header, required): Product, which this request belongs to (product code is defined by Wallester and specific for each client's product) - **X-Audit-Source-Type** (string, header, required): Type of the source system, possible values are Backend or SelfService - **X-Audit-User-Id** (string, header, required): ID of the user who initiated the request - **Authorization** (string, header, required): JWT Token, in "Authorization: Bearer JWT_TOKEN" format - **request** (CreateTransactionRequest, body, required) ### Responses #### 201 - CreateTransactionResponse Empty response body #### 400 - response Request failed. #### 401 - response Authentication has failed for this request. #### 403 - response Authorization has been denied for this request. #### 415 - response Media type is unsupported. #### 422 - response Model validation failed. #### 499 - response Client closed request error. #### 500 - response Internal server error. ### Example Usage ```bash curl -X POST "https://api.example.com/v1/test/transactions" ``` ```